Bug 12500 - ldconfig - errors file/link exception reports
Summary: ldconfig - errors file/link exception reports
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: compat-egcs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-19 03:33 UTC by R P Herrold
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 02:41:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2000-06-19 03:33:46 UTC
Possibly an RPM artifact -- see: Bug 3252

 Subject: ldconfig-errors
 
ldconfig: /usr/lib/libstdc++.so.2.9 is not a symbolic link
 
ldconfig: /usr/lib/libstdc++-libc6.1-1.so.2 is not a symbolic link

(ldconfig should run silently)

The two listed files _should_ be links, rather than direct files:

[root@localhost src]# cat /etc/ld.so.conf 
/usr/X11R6/lib
/usr/kerberos/lib
/usr/i486-linux-libc5/lib
/usr/lib
[root@localhost src]# ls -al  /usr/lib/libstdc++.so.2.9
-rwxr-xr-x    1 root     root         5380 May 26 12:29
/usr/lib/libstdc++.so.2.9
[root@localhost src]# ls -al /usr/lib/libstdc++-libc6.1-1.so.2
-rwxr-xr-x    1 root     root      1185378 May 26 12:29
/usr/lib/libstdc++-libc6.1-1.so.2
[root@localhost src]# 

Reproduce the error thus:

 src]# ldconfig -v > /dev/null
ldconfig: Path `/usr/lib' given more than once
ldconfig: /usr/lib/libstdc++.so.2.9 is not a symbolic link

ldconfig: /usr/lib/libstdc++-libc6.1-1.so.2 is not a symbolic link

[root@localhost src]#

Comment 1 Cristian Gafton 2000-08-09 02:41:20 UTC
assigned to jakub

Comment 2 Jakub Jelinek 2000-08-25 16:12:06 UTC
No, this was actually a bug in libstdc++-compat (now compat-libstdc++)
packagin.g


Note You need to log in before you can comment on or make changes to this bug.